From 2c4b2979b5e218ec459c68dd66f8fbc01386ede4 Mon Sep 17 00:00:00 2001
From: Wang Ziming <wangziming@huawei.com>
Date: Fri, 3 Apr 2020 10:26:59 +0800
Subject: [PATCH 34/77] virtual_disks_multidisks: Check disk bus device option
 need to adapt to different platform.

Check disk bus device option in qemu command line,need to adapt to
different platform, when device bus type is sata, in x86_64 platform, we
should check ide-hd, and in other platform is ahci. And the pci bus is not
stable.

Signed-off-by: Wang Ziming <wangziming@huawei.com>
---
 libvirt/tests/src/virtual_disks/virtual_disks_multidisks.py | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/libvirt/tests/src/virtual_disks/virtual_disks_multidisks.py b/libvirt/tests/src/virtual_disks/virtual_disks_multidisks.py
index ef0a76d7..4738a6f7 100644
--- a/libvirt/tests/src/virtual_disks/virtual_disks_multidisks.py
+++ b/libvirt/tests/src/virtual_disks/virtual_disks_multidisks.py
@@ -1724,7 +1724,10 @@ def run(test, params, env):
                     cmd += (" | grep %s,bus=ide.%d,unit=%d,drive=drive-%s,id=%s"
                             % (device_option, dev_bus, dev_unit, dev_id, dev_id))
                 if device_bus[0] == "sata":
-                    cmd += (" | grep 'device ahci,.*,bus=pci.%s'" % dev_bus)
+                    if platform.platform().count('x86_64'):
+                        cmd += (" | grep 'device ide-hd,.*bus=ide.'")
+                    else:
+                        cmd += (" | grep 'device ahci,.*,bus=pci.'")
                 if device_bus[0] == "scsi":
                     if devices[0] == "lun":
                         device_option = "scsi-block"
-- 
2.23.0

